/*
 * $Id: file-query.H,v 1.1 1995/03/03 06:32:11 asf Exp $
 */
/*
    This file is a CGI Script interface
    Copyright (C) 1994, 1995  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _FILEQUERY_H
#define _FILEQUERY_H

#include <stdio.h>
#include "cgi-query.H"

#ifndef FILEREADSIZE
#define FILEREADSIZE (-1)
#endif

class FileQuery:public CgiQuery{

public:
  // Constructor/destructor
  // method should be NULL for anything but a real GET or POST
  // if size is FILEREADSIZE then read the first line from the file
  FileQuery( char *method, int max_entries,
             FILE *file, int size = FILEREADSIZE );
  ~FileQuery();
};

/***************************************************************************/

/*
 * $Log: file-query.H,v $
 * Revision 1.1  1995/03/03  06:32:11  asf
 * Initial revision
 *
 * Revision 1.1  1995/03/03  06:32:11  asf
 * Initial revision
 *
 */

#endif
